package entity;

import environnement.Coordonnees;
import environnement.HitBox;

public class Attack {

    int damage;
    Coordonnees coordCentre;
    HitBox hitBox;

    public Attack(int dmg,Coordonnees c,HitBox hb){
        damage = dmg;
        coordCentre = c;
        hitBox = hb;
    }

    public void dealDamage(Entity entity){
        if (entity.nbFramesInvincible == 0){//n'attaque que si l'entity n'est pas invincible
            //le Math.max est la juste pour que la vie du perso ne tombe pas en-dessous de zero
            entity.setNbLifePoints(Math.max(entity.getNbLifePoints()-damage, 0));
            entity.nbFramesInvincible = entity.nbMaxFramesInvicible;//l'entity devient invincible qq frames
        }
    }

    public HitBox getHitBox() {
        return hitBox;
    }

    
}
